package com.jeeplus.test.finance.invoice.service.dto;

import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import com.jeeplus.core.service.dto.BaseDTO;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;
import java.util.List;

/**
 * 财务管理-发票
 * @TableName finance_invoice
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class FinanceInvoiceDTO extends BaseDTO {

    public static final String BIZ_CODE = "4";

    /**
     * 备注信息
     */
    private String remarks;

    /**
     * 发票类型
     */
    private String type;

    /**
     * 发票申请编号
     */
    private String no;

    /**
     * 开票类型
     */
    private String billingType;

    /**
     * 实际开票单位
     */
    private String billingWorkplaceReal;

    /**
     * 纳税人识别号
     */
    private String taxpayerIdentificationNo;

    /**
     * 地址
     */
    private String address;

    /**
     * 电话
     */
    private String telPhone;

    /**
     * 开户银行
     */
    private String openBank;

    /**
     * 银行账号
     */
    private String bankAccount;

    /**
     * 姓名
     */
    private String name;

    /**
     * 收款类型
     */
    private String receivablesType;

    /**
     * 开票内容
     */
    private String billingContent;

    /**
     * 发票金额(元)
     */
    private String account;

    /**
     * 开票内容要求
     */
    private String billingContentTerms;

    /**
     * 开票人
     */
    private String billingPeople;

    /**
     * 开票时间
     */
    private Date billingDate;

    /**
     * 领票时间
     */
    private Date collectDate;

    /**
     * 实际开票人
     */
    private String billingPeopleReal;

    /**
     * 对账人
     */
    private String reconciliationPeople;

    /**
     * 对账地区
     */
    private String reconciliationArea;

    /**
     * 基础信息
     */
    private List<FinanceInvoiceBaseDTO> financeInvoiceBaseDTOList;

    private static final long serialVersionUID = 1L;
}